/**
 * This corresponds to the suffix of the "class" tag in the "pocketitems.xml" file. "+" is equal to
 * `POSITIVE`, "-" is equal to `NEGATIVE`, and no suffix is equal to `NEUTRAL`.
 */
export var ItemConfigPillEffectType;
(function (ItemConfigPillEffectType) {
    /** No valid pill will have this type. */
    ItemConfigPillEffectType[ItemConfigPillEffectType["NULL"] = -1] = "NULL";
    ItemConfigPillEffectType[ItemConfigPillEffectType["POSITIVE"] = 0] = "POSITIVE";
    ItemConfigPillEffectType[ItemConfigPillEffectType["NEGATIVE"] = 1] = "NEGATIVE";
    ItemConfigPillEffectType[ItemConfigPillEffectType["NEUTRAL"] = 2] = "NEUTRAL";
    /**
     * This is not a real `ItemConfigPillEffectType`. Due to limitations in the API, getting the real
     * type of modded pill effects is not possible, so this value is returned instead.
     */
    ItemConfigPillEffectType[ItemConfigPillEffectType["MODDED"] = 3] = "MODDED";
})(ItemConfigPillEffectType || (ItemConfigPillEffectType = {}));
