/**
 * For `EntityType.PROJECTILE` (9).
 *
 * This enum was renamed from "ProjectileFlags" to be consistent with the other flag enums.
 *
 * This is represented as an object instead of an enum due to limitations with TypeScript enums. (We
 * want this type to be a child of the `BitFlag` type.)
 *
 * @enum
 * @notExported
 * @rename ProjectileFlag
 */
declare const ProjectileFlagInternal: {
    /** 1 << 0 (1) */
    readonly SMART: number;
    /** 1 << 1 (2) */
    readonly EXPLODE: number;
    /** 1 << 2 (4) */
    readonly ACID_GREEN: number;
    /** 1 << 3 (8) */
    readonly GOO: number;
    /** 1 << 4 (16) */
    readonly GHOST: number;
    /** 1 << 5 (32) */
    readonly WIGGLE: number;
    /** 1 << 6 (64) */
    readonly BOOMERANG: number;
    /** 1 << 7 (1280 */
    readonly HIT_ENEMIES: number;
    /** 1 << 8 (256) */
    readonly ACID_RED: number;
    /** 1 << 9 (512) */
    readonly GREED: number;
    /** 1 << 10 (1024) */
    readonly RED_CREEP: number;
    /** 1 << 11 (2048) */
    readonly ORBIT_CW: number;
    /** 1 << 12 (4096) */
    readonly ORBIT_CCW: number;
    /** 1 << 13 (8192) */
    readonly NO_WALL_COLLIDE: number;
    /** 1 << 14 (16384) */
    readonly CREEP_BROWN: number;
    /** 1 << 15 (32768) */
    readonly FIRE: number;
    /** 1 << 16 (65536) */
    readonly BURST: number;
    /** 1 << 17 (131072) */
    readonly ANY_HEIGHT_ENTITY_HIT: number;
    /** 1 << 18 (262144) */
    readonly CURVE_LEFT: number;
    /** 1 << 19 (524288) */
    readonly CURVE_RIGHT: number;
    /** 1 << 20 (1048576) */
    readonly TURN_HORIZONTAL: number;
    /** 1 << 21 (2097152) */
    readonly SINE_VELOCITY: number;
    /** 1 << 22 (4194304) */
    readonly MEGA_WIGGLE: number;
    /** 1 << 23 (8388608) */
    readonly SAWTOOTH_WIGGLE: number;
    /** 1 << 24 (16777216) */
    readonly SLOWED: number;
    /** 1 << 25 (33554432) */
    readonly TRIANGLE: number;
    /** 1 << 26 (67108864) */
    readonly MOVE_TO_PARENT: number;
    /** 1 << 27 (134217728) */
    readonly ACCELERATE: number;
    /** 1 << 28 (268435456) */
    readonly DECELERATE: number;
    /** 1 << 29 (536870912) */
    readonly BURST3: number;
    /** 1 << 30 (1073741824) */
    readonly CONTINUUM: number;
    /** 1 << 31 (2147483648) */
    readonly CANT_HIT_PLAYER: number;
    /** 1 << 32 (4294967296) */
    readonly CHANGE_FLAGS_AFTER_TIMEOUT: number;
    /** 1 << 33 */
    readonly CHANGE_VELOCITY_AFTER_TIMEOUT: number;
    /** 1 << 34 */
    readonly STASIS: number;
    /** 1 << 35 */
    readonly FIRE_WAVE: number;
    /** 1 << 36 */
    readonly FIRE_WAVE_X: number;
    /** 1 << 37 */
    readonly ACCELERATE_EX: number;
    /** 1 << 38 */
    readonly BURST8: number;
    /** 1 << 39 */
    readonly FIRE_SPAWN: number;
    /** 1 << 40 */
    readonly ANTI_GRAVITY: number;
    /** 1 << 41 */
    readonly TRACTOR_BEAM: number;
    /** 1 << 42 */
    readonly BOUNCE: number;
    /** 1 << 43 */
    readonly BOUNCE_FLOOR: number;
    /** 1 << 44 */
    readonly SHIELDED: number;
    /** 1 << 45 */
    readonly BLUE_FIRE_SPAWN: number;
    /** 1 << 46 */
    readonly LASER_SHOT: number;
    /** 1 << 47 */
    readonly GODHEAD: number;
    /** 1 << 48 */
    readonly SMART_PERFECT: number;
    /** 1 << 49 */
    readonly BURST_SPLIT: number;
    /** 1 << 50 */
    readonly WIGGLE_ROTGUT: number;
    /** 1 << 51 */
    readonly FREEZE: number;
    /** 1 << 52 */
    readonly ACCELERATE_TO_POSITION: number;
    /**
     * The cluster of tears that Mother shoots.
     *
     * 1 << 53
     */
    readonly BROCCOLI: number;
    /** 1 << 54 */
    readonly BACK_SPLIT: number;
    /** 1 << 55 */
    readonly SIDE_WAVE: number;
    /** 1 << 56 */
    readonly ORBIT_PARENT: number;
    /** 1 << 57 */
    readonly FADEOUT: number;
};
type ProjectileFlagValue = BitFlag & {
    readonly __projectileFlagBrand: symbol;
};
type ProjectileFlagType = {
    readonly [K in keyof typeof ProjectileFlagInternal]: ProjectileFlagValue;
};
export declare const ProjectileFlag: ProjectileFlagType;
export type ProjectileFlag = ProjectileFlagType[keyof ProjectileFlagType];
export declare const ProjectileFlagZero: BitFlags<ProjectileFlagValue>;
export {};
//# sourceMappingURL=ProjectileFlag.d.ts.map